Bug 699233

Summary: PolicyKit authentication does not work in F15 with classic gnome+compiz session
Product: [Fedora] Fedora Reporter: Sandro Mani <manisandro>
Component: compizAssignee: leigh scott <leigh123linux>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: unspecified    
Version: 15CC: adel.gadllah, davidz, extras-orphan, mclasen, notting, redhat
Target Milestone: ---Keywords: Triaged
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard: [cat:others]
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 953696 (view as bug list) Environment:
Last Closed: 2012-08-07 12:47:00 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Sandro Mani 2011-04-24 08:37:39 EDT
Description of problem:
Authentication constantly fails with Failed to obtain authentication.

Version-Release number of selected component (if applicable):
polkit-gnome-0.101-1.fc15.x86_64
polkit-desktop-policy-0.101-5.fc15.noarch
polkit-0.101-5.fc15.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Login using the classic gnome + compiz session
2. Try performing any action that requires polkit authentication
3. 
  
Actual results:
Always fails with "Failed to obtain authentication", password prompt is never shown.

Expected results:
Authentication works

Additional info:
dmesg does not contain any usefull info, i.e. just
Apr 24 14:33:09 PC4 dbus: [system] Activating service name='org.freedesktop.PackageKit' argv0='/lib64/dbus-1/dbus-daemon-launch-helper'
Apr 24 14:33:09 PC4 dbus: [system] Service 'org.freedesktop.PolicyKit1' is already active
Apr 24 14:33:09 PC4 dbus: [system] Successfully activated service 'org.freedesktop.PackageKit
Comment 1 Sandro Mani 2011-04-29 16:08:44 EDT
I located the problem as being that the authentication agent is never started.
On a F14 installation:
locate autostart | grep pol
/etc/xdg/autostart/polkit-gnome-authentication-agent-1.desktop
/usr/share/gdm/autostart/LoginWindow/polkit-gnome-authentication-agent-1.desktop

On a F15 installation:
locate autostart | grep pol
/usr/share/gdm/autostart/LoginWindow/polkit-gnome-authentication-agent-1.desktop

polkit-gnome provides the /etc/xdg/autostart/polkit-gnome-authentication-agent-1.desktop file in F14 but not in F15.
Comment 2 Matthias Clasen 2011-05-02 13:30:42 EDT
You need to include an autostart file for polkit-gnome-authentication-agent in your compiz-gnome session. The autostart file shipped with gnome-session only starts the agent in the gnome fallback session.
Comment 3 Fedora Admin XMLRPC Client 2011-06-01 16:26:05 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Adam Spiers 2011-09-19 08:49:21 EDT
This is also an issue with GNOME+Openbox on Fedora 15.  I'm surprised it hasn't been fixed yet because it seems to stop any browser-based package installation from working.
Comment 5 Fedora End Of Life 2012-08-07 12:47:02 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping